The BitmapFilter class is the base class for all image filter effects.

The BevelFilter, BlurFilter, ColorMatrixFilter, ConvolutionFilter, DisplacementMapFilter, DropShadowFilter, GlowFilter, GradientBevelFilter, and GradientGlowFilter classes all extend the BitmapFilter class. You can apply these filter effects to any display object.

You can neither directly instantiate nor extend BitmapFilter.

### Hierarchy

- BitmapFilter
  - BlurFilter
  - ColorMatrixFilter
  - ConvolutionFilter
  - DropShadowFilter
  - GlowFilter

## Index

### Constructors

- constructor

### Methods

- clone

## Constructors

### constructor

- new BitmapFilter(): BitmapFilter

- - Defined in lib/openfl/filters/BitmapFilter.d.ts:16

  #### Returns BitmapFilter

## Methods

### clone

- clone(): BitmapFilter

- - Defined in lib/openfl/filters/BitmapFilter.d.ts:27

  Returns a BitmapFilter object that is an exact copy of the original BitmapFilter object.

  #### Returns BitmapFilter

  A BitmapFilter object.

Generated using TypeDoc